Bug 19823 - Move template JavaScript to the footer: MARC21 editor plugins
Summary: Move template JavaScript to the footer: MARC21 editor plugins
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-12-15 15:42 UTC by Owen Leonard
Modified: 2018-03-23 01:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins (936.44 KB, patch)
2017-12-15 16:08 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins (936.49 KB, patch)
2018-02-14 10:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins (936.59 KB, patch)
2018-02-20 15:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins (936.65 KB, patch)
2018-02-21 18:52 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-15 15:42:52 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for MARC21 editor plugins.
Comment 1 Owen Leonard 2017-12-15 16:08:13 UTC
Created attachment 69827 [details] [review]
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins

This patch modifies the templates for MARC21 editor plugins so that
JavaScript is included in the footer.

To test, you must link the plugins to their corresponding tag +
subfield (if they aren't already):

In a bibliographic framework:

000 -> marc21_leader.pl
006 -> marc21_field_006.pl
007 -> marc21_field_007.pl
008 -> marc21_field_008.pl
773$t -> marc21_linking_section.tt

In an authorities framework:

000 -> marc21_leader_authorities.tt
008 -> marc21_field_008_authorities.tt
    -> marc21_field_008_classifications.tt

For each field, trigger the plugin by clicking the plugin link. Test
JavaScript-driven functionality in each plugin window and confirm that
your selections are correctly saved to the editor.
Comment 2 Claire Gravely 2018-02-14 10:49:58 UTC
Created attachment 71605 [details] [review]
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins

This patch modifies the templates for MARC21 editor plugins so that
JavaScript is included in the footer.

To test, you must link the plugins to their corresponding tag +
subfield (if they aren't already):

In a bibliographic framework:

000 -> marc21_leader.pl
006 -> marc21_field_006.pl
007 -> marc21_field_007.pl
008 -> marc21_field_008.pl
773$t -> marc21_linking_section.tt

In an authorities framework:

000 -> marc21_leader_authorities.tt
008 -> marc21_field_008_authorities.tt
    -> marc21_field_008_classifications.tt

For each field, trigger the plugin by clicking the plugin link. Test
JavaScript-driven functionality in each plugin window and confirm that
your selections are correctly saved to the editor.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-18 14:28:30 UTC
Please check and adapt for use of the new KOHA_VERSION for Javascript and switch back to Signed off :)
Comment 4 Owen Leonard 2018-02-20 15:00:00 UTC
Created attachment 72003 [details] [review]
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins

This patch modifies the templates for MARC21 editor plugins so that
JavaScript is included in the footer.

To test, you must link the plugins to their corresponding tag +
subfield (if they aren't already):

In a bibliographic framework:

000 -> marc21_leader.pl
006 -> marc21_field_006.pl
007 -> marc21_field_007.pl
008 -> marc21_field_008.pl
773$t -> marc21_linking_section.tt

In an authorities framework:

000 -> marc21_leader_authorities.tt
008 -> marc21_field_008_authorities.tt
    -> marc21_field_008_classifications.tt

For each field, trigger the plugin by clicking the plugin link. Test
JavaScript-driven functionality in each plugin window and confirm that
your selections are correctly saved to the editor.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit: Fix for QA, add KOHA_VERSION variables to js includes
Comment 5 Josef Moravec 2018-02-21 18:52:46 UTC
Created attachment 72052 [details] [review]
Bug 19823: Move template JavaScript to the footer: MARC21 editor plugins

This patch modifies the templates for MARC21 editor plugins so that
JavaScript is included in the footer.

To test, you must link the plugins to their corresponding tag +
subfield (if they aren't already):

In a bibliographic framework:

000 -> marc21_leader.pl
006 -> marc21_field_006.pl
007 -> marc21_field_007.pl
008 -> marc21_field_008.pl
773$t -> marc21_linking_section.tt

In an authorities framework:

000 -> marc21_leader_authorities.tt
008 -> marc21_field_008_authorities.tt
    -> marc21_field_008_classifications.tt

For each field, trigger the plugin by clicking the plugin link. Test
JavaScript-driven functionality in each plugin window and confirm that
your selections are correctly saved to the editor.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Edit: Fix for QA, add KOHA_VERSION variables to js includes

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2018-02-26 14:18:47 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-03-23 01:19:48 UTC
Enhancement, not backported for 17.11